Billing

Download invoice PDF

AuthBearer (JWT)
GroupBilling
Rate limitSee Rate Limits
GET/api/billing/projects/{projectId}/invoices/{invoiceId}/download

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.downloadInvoice("proj_iT52Coe9eMYn", "mjLzNH1lWAECokWV");
const { data: result } = await billing.downloadInvoice("proj_iT52Coe9eMYn", "mjLzNH1lWAECokWV");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
invoiceIdstringYes

Responses

200Invoice PDF file or redirect URL
json
{
  "url": "https://scented-pleasure.biz/",
  "message": "Stylish Keyboard designed to make you stand out with lively looks"
}
{
  "url": "https://scented-pleasure.biz/",
  "message": "Stylish Keyboard designed to make you stand out with lively looks"
}
401
404Invoice not found
500

Errors

CodeMeaning
401
404Invoice not found
500
Edit this page on GitHub